Superconductor Docs

Projects

The projects you can access, across all your workspaces.

List projects

GET
/projects

The projects you can access, newest first.

Authorization

PersonalAccessToken
headerAuthorizationBearer <token>

A personal access token, created under Account Settings → Developer → Personal access tokens.

Query Parameters

limit?integer

How many records to return.

Formatint32
Range1 <= value <= 1000
Default100
cursor?string

The next_cursor of the previous page.

workspace_id?string

Keep only the projects in this workspace.

Response Body

The request has succeeded.

application/json
  1. response
data*array<>
next_cursor*|

Pass this as cursor to get the next page, or null on the last page.

Example Request
curl -X GET 'https://www.superconductor.com/api/v1/projects'
Example Response
{  "data": [    {      "id": "string",      "name": "string",      "url": "http://example.com",      "created_at": "2019-08-24T14:15:22Z",      "workspace": {        "id": "string",        "name": "string"      }    }  ],  "next_cursor": "string"}